## dovecot-antispam 1.2+20090702

=== Makefile ===
--- 
+++ 
@@ -86,7 +86,7 @@
 	rm -f *.so *.o *~ dovecot-version dovecot-version.h antispam-version.h
 
 install: all
-	install -o $(USER) -g $(GROUP) -m 0755 $(LIBRARY_NAME) $(INSTALLDIR)/
+	install -o $(USER) -g $(GROUP) -m 0755 $(LIBRARY_NAME) $(DESTDIR)$(INSTALLDIR)/
 
 verify_config:
 	@if [ ! -r $(CONFIG) ]; then \
