## dovecot-antispam 2.0+20171229

=== debian/control ===
Source: dovecot-antispam
Section: mail
Priority: optional
Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 9), dovecot-dev (>= 1:2.2.13-4)
Standards-Version: 4.1.4.1
Homepage: http://johannes.sipsolutions.net/Projects/dovecot-antispam
Vcs-Git: https://salsa.debian.org/ron/dovecot-antispam.git
Vcs-Browser: https://salsa.debian.org/ron/dovecot-antispam

Package: dovecot-antispam
Architecture: any
Depends: ${shlibs:Depends}, dovecot-imapd, dovecot-abi-${dovecot:ABI-Version}
Suggests: crm114
Description: Dovecot plugins for training spam filters
 dovecot-antispam watches designated spam folders and trains mail as spam or
 not-spam when it moves in or out of those folders respectively.
 .
 dovecot-antispam supports dspam, crm114, and generic training by mailing spam
 and non-spam to training addresses.  For crm114, it supports folders for the
 additional "unsure" classification, and trains when moving from there to spam
 or normal folders.
